Court
Get court mapping
Retrieve the mapping for a specific court in a specific external service scope.
Path Parameters
externalServiceId*string
External service ID (UUID).
Format
uuidcourtId*string
Court ID (UUID).
Format
uuidResponse
200Error Responses
400
invalid_schema
Request validation failed.
401
missing_api_token
No authentication token provided.
401
invalid_api_token
Invalid or expired authentication token.
403
scope_permission_denied
Insufficient permissions for this operation.
403
external_service_access_denied
Token does not match the requested external service.
403
organization_access_denied
Service is not granted access to the organization.
404
court_not_found
Court was not found.
404
court_mapping_not_found
Court mapping was not found.
curl -X GET "https://dev.wingfield.systems/api/v1/external-services/497f6eca-6276-4993-bfeb-53cbbbba6f08/courts/497f6eca-6276-4993-bfeb-53cbbbba6f08/mapping"{
"externalServiceId": "e8623a0d-39de-4963-9c6c-a25dc38e89c9",
"courtId": "79ae2927-a9bc-46ed-8f9e-079af32b7616",
"externalCourtId": "string",
"externalCourtName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}{
"error": {
"type": "court_not_found",
"message": "string"
}
}